Bug 855847 - propogate knowledge of problematic VDS to prevent using them
propogate knowledge of problematic VDS to prevent using them
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roy Golan
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 07:48 EDT by Roy Golan
Modified: 2016-02-10 14:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 05:51:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs for roy (692.83 KB, application/x-gzip)
2012-11-29 12:09 EST, Dafna Ron
no flags Details

  None (edit)
Description Roy Golan 2012-09-10 07:48:56 EDT
Description of problem:
engine must propogate its knowledge of problematic VDSs quick and wide to avoid using them for VM scheduling or for SPM actions.
see also bug 767222

Version-Release number of selected component (if applicable):

How reproducible:
100%

Steps to Reproduce:
1.create a cluster with 3 hosts - A (SPM) B and C
2. run several vm's on spm host
3. block storage connectivity with iptables to A and B
  
Actual results:
- engine will pick A and B as problematic
- meanwhile will try to migrate the VM to B.  
- migration will fail obviously (B doesn't see storage)
- the VM will return to status Paused and won't re-run (engine doesn't support migrating paused VM see bug 767222)
- C is not used

Expected results:
- engine should pick C as the destination host for migration and neglect B till is ok



Additional info:
Comment 1 Dafna Ron 2012-11-29 12:09:23 EST
Created attachment 654415 [details]
logs for roy
Comment 2 Itamar Heim 2013-12-29 05:51:26 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.